from krakentools.serpent import read_restart_file

# --- Read restart file from second part
#     Top list is over different burnup points,
#     Lower list is over different materials at that burnup point.

list_of_lists_of_materials = read_restart_file("./second.inp.wrk")

# --- Loop over materials to write something

for list_of_materials in list_of_lists_of_materials:

    if not list_of_materials:
        continue

    glob_bu = list_of_materials[0].current_global_burnup
    glob_days = list_of_materials[0].current_global_days

    print(f"\nMaterial burnups at {glob_bu} MWd/kgU.")

    for material in list_of_materials:
        print(f"Material {material.name:8}, material burnup {material.burnup:.2f}.")
